Bug 1129295 - tell gdal-config that AArch64 is 64-bit architecture
Summary: tell gdal-config that AArch64 is 64-bit architecture
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdal
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64 1129292
TreeView+ depends on / blocked
 
Reported: 2014-08-12 14:27 UTC by Marcin Juszkiewicz
Modified: 2014-09-19 11:49 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 09:31:21 UTC


Attachments (Terms of Use)
spec changes (868 bytes, patch)
2014-08-12 14:27 UTC, Marcin Juszkiewicz
no flags Details | Diff

Description Marcin Juszkiewicz 2014-08-12 14:27:56 UTC
Created attachment 926079 [details]
spec changes

Description of problem:

Gdal builds fine on AArch64 but each package which depend on gdal-devel fails.

Version-Release number of selected component (if applicable):

1.11.0-5

How reproducible:

always

Steps to Reproduce:
1. do a build of postgis on AArch64 (with arm-koji)
2.
3.

Actual results:

DEBUG: checking for gdal-config... /usr/bin/gdal-config
DEBUG: checking GDAL version... /usr/bin/gdal-config: line 9: gdal-config-32: command not found
DEBUG: /usr/bin/gdal-config: line 9: gdal-config-32: command not found
DEBUG: /usr/bin/gdal-config: line 9: gdal-config-32: command not found
DEBUG: /usr/bin/gdal-config: line 9: gdal-config-32: command not found
DEBUG: ./configure: line 19944: test: : integer expression expected
DEBUG: checking for OGR enabled... /usr/bin/gdal-config: line 9: gdal-config-32: command not found

Expected results:

package builds.
Additional info:

Comment 1 Volker Fröhlich 2014-08-14 07:00:38 UTC
What's the exact result of "uname -m" on AArch64?

Comment 2 Marcin Juszkiewicz 2014-08-14 07:20:19 UTC
hrw@pinkypie-rawhide:~$ uname -m
aarch64

Comment 3 Volker Fröhlich 2014-08-14 07:35:23 UTC
gdal-1.11.0-6.fc22 should solve it!

Comment 4 Marcin Juszkiewicz 2014-08-14 16:41:38 UTC
http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=221728 built successfully. Now we need postgis fixed to check does it work.

Comment 5 Volker Fröhlich 2014-09-19 11:49:35 UTC
I changed it for F21 as well.


Note You need to log in before you can comment on or make changes to this bug.